Rewards API
Claim reward grant
POST
/
v1
/
rewards
/
grants
/
{token}
/
claim
Claim reward grant
curl --request POST \
--url https://api.oneofnone.io/v1/rewards/grants/{token}/claim \
--header 'x-api-key: <api-key>'import requests
url = "https://api.oneofnone.io/v1/rewards/grants/{token}/claim"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.oneofnone.io/v1/rewards/grants/{token}/claim', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"grantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rewardId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"discountCode": "<string>",
"value": 123,
"externalIds": [
{
"externalId": "<string>",
"externalCodeId": "<string>"
}
]
}{
"message": "<string>",
"code": "<string>",
"details": {}
}{
"message": "<string>",
"code": "<string>",
"details": {}
}Authorizations
Path Parameters
Required string length:
16 - 200Response
Successful response
Available options:
automatic, global_code, unique_codes Available options:
percentage, fixed_amount, free_shipping, gated_content Available options:
sitewide, collection, product, variant Show child attributes
Show child attributes
⌘I
Claim reward grant
